Upgrading from 3.2.5 to 3.2.7

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
indieben
Registered User
Posts: 23
Joined: Sun Feb 04, 2018 12:51 am

Upgrading from 3.2.5 to 3.2.7

Post by indieben » Wed Jun 12, 2019 10:28 pm

Hi,

I have been having problems upgrading from PHP 3.2.5 to 3.2.7 following these instructions - https://www.phpbb.com/support/docs/en/3 ... ating-32x/

I also tried deleting the store when the upgrade didn't work but no joy. The errors in my web log were as follows:

Code: Select all

[Wed Jun 12 22:50:15.298559 2019] [fcgid:warn] [pid 20798] [client 192.168.1.254:53676] mod_fcgid: stderr: PHP Fatal error:  Uncaught RuntimeException: Media site 'blab' does not exist in /var/www/clients/client1/web12/web/vendor/s9e/text-formatter/src/Plugins/MediaEmbed/Configurator/Collections/SiteDefinitionCollection.php:21
[Wed Jun 12 22:50:15.298622 2019] [fcgid:warn] [pid 20798] [client 192.168.1.254:53676] mod_fcgid: stderr: Stack trace:
[Wed Jun 12 22:50:15.298630 2019] [fcgid:warn] [pid 20798] [client 192.168.1.254:53676] mod_fcgid: stderr: #0 /var/www/clients/client1/web12/web/vendor/s9e/text-formatter/src/Configurator.php(7373): s9e\\TextFormatter\\Plugins\\MediaEmbed\\Configurator\\Collections\\SiteDefinitionCollection->getNotExistException('blab')
[Wed Jun 12 22:50:15.298638 2019] [fcgid:warn] [pid 20798] [client 192.168.1.254:53676] mod_fcgid: stderr: #1 /var/www/clients/client1/web12/web/vendor/s9e/text-formatter/src/Plugins/MediaEmbed/Configurator.php(53): s9e\\TextFormatter\\Configurator\\Collections\\NormalizedCollection->get('blab')
[Wed Jun 12 22:50:15.298645 2019] [fcgid:warn] [pid 20798] [client 192.168.1.254:53676] mod_fcgid: stderr: #2 /var/www/clients/client1/web12/web/ext/phpbb/mediaembed/event/main_listener.php(90): s9e\\TextFormatter\\Plugins\\MediaEmbed\\Configurator->add('blab')
[Wed Jun 12 22:50:15.298652 2019] [fcgid:warn] [pid 20798] [client 192.168.1.254:53676] mod_fcgid: stderr: #3 /var/www/clients/client1/web12/web/vendor/symfony/event-dispatcher/EventDispatcher.php(184): phpbb\\mediaembed\\event\\main_listener->configure_media_embed(Object(phpbb\\event\\data), 'core.text_forma...', Object(phpbb\\event\\dispatcher))
[Wed Jun 12 22:50:15.298659 2019] [fcgid:warn] [pid 20798] [client 192.168.1.254:53676] mod_fcgid: stderr: #4 /var/www/clients/clien in /var/www/clients/client1/web12/web/vendor/s9e/text-formatter/src/Plugins/MediaEmbed/Configurator/Collections/SiteDefinitionCollection.php on line 21
I've managed to get the 3.2.7 running by replacing the vendor directory with the old one from the 3.2.5 install. I'm not sure if this makes a huge amount of difference? I have checked and checked again to ensure that I have followed the instructions to the letter. Any suggestions please? There were a few extensions that needed updating that I did AFTER the phpbb upgrade, not sure if this would have made a difference?

Many thanks!

indieben
Registered User
Posts: 23
Joined: Sun Feb 04, 2018 12:51 am

RESOLVED - Re: Upgrading from 3.2.5 to 3.2.7

Post by indieben » Wed Jun 12, 2019 11:04 pm

Apologies - this is now resolved - I didn't update my extensions first!

Thanks and Kind Regards.

Post Reply

Return to “[3.2.x] Support Forum”